Skip to main content
POST
https://your-rootprint-host
/
api
/
indexes
/
{indexId}
/
saved-queries
Create a saved query
curl --request POST \
  --url https://your-rootprint-host/api/indexes/{indexId}/saved-queries \
  --header 'Content-Type: application/json' \
  --cookie better-auth.session_token= \
  --data '
{
  "name": "<string>",
  "query": "<string>"
}
'
{
  "id": 123,
  "indexId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "query": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

indexId
string
required

Quickwit index ID.

Minimum string length: 1

Body

application/json
name
string
required
Required string length: 1 - 200
query
string
required
description
string

Response

Saved query created.

id
integer
required
indexId
string
required
name
string
required
description
string | null
required
query
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required